
Redmine - Patch #41287

Add .vscode to svn:ignore, .gitignore, and .hgignore

2024-09-21 08:24 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

This patch adds the .vscode directory to the .gitignore file. The .vscode directory is automatically created by Visual Studio Code and

contains user-specific IDE settings. For a developer like me who uses VSCode for Redmine development, it is inconvenient to track

these files in version control.

The .gitignore file already includes configuration settings for RubyMine (Patch #24523: Source: ignore .idea), so it makes sense to

include VSCode settings as well.

diff --git a/.gitignore b/.gitignore

index ec4a91071..444173c3b 100644

--- a/.gitignore

+++ b/.gitignore

@@ -1,5 +1,6 @@

 /.project

 /.idea

+/.vscode

 /.loadpath

 /.powrc

 /.rvmrc

Associated revisions

Revision 23066 - 2024-09-21 10:54 - Go MAEDA

Add .vscode to svn:ignore, .gitignore, and .hgignore (#41287).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

History

#1 - 2024-09-21 10:47 - Go MAEDA

- Subject changed from Add .vscode to .gitignore to Add .vscode to svn:ignore, .gitignore, and .hgignore

- Target version set to 6.0.0

#2 - 2024-09-21 10:55 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r23066. Thank you.

Powered by TCPDF (www.tcpdf.org)

2025-04-19 1/1

https://www.redmine.org/issues/24523
https://www.redmine.org/projects/redmine/repository/svn/revisions/23066
http://www.tcpdf.org

